$fn=200;


bearing_diameter=26;
bearing_thickness=8;

slot_width=8.5;

module bearing(){
	cylinder(r=bearing_diameter/2,h=bearing_thickness,center=true);
}


module v_addon_oneside(diameter=40,thickness=8){
	
	rotate_extrude()
		difference(){
			//translate([bearing_height/2,0])
			square([diameter/2,thickness]);
			square([bearing_diameter/2,bearing_thickness/2]);
			translate([diameter/2,thickness])
				rotate(45,[0,0,1])
					square(thickness,center=true);
		
			square(24,center=true);
		}
}

module v_addon_oneside_negative(diameter=40,thickness=8){
	difference(){
	translate([0,0,5])
	cube([45,45,10],center=true);
	//rotate(180,[1,0,0])
	rotate_extrude()
		difference(){
			//translate([bearing_height/2,0])
			square([diameter/2,thickness]);
			square([5.05,bearing_thickness/2]);
			translate([diameter/2,thickness])
				rotate(45,[0,0,1])
					square(thickness,center=true);
			translate([0,bearing_thickness/2])
				square(12);
		}
	translate([13,0,0])
		cylinder(r=1,h=100,center=true);
	translate([-13,0,0])
		cylinder(r=1,h=100,center=true);
	}
}

//bearing();
//v_addon_oneside();
v_addon_oneside_negative();